Subject: Re: Suppress / delay SYN-ACK

From: Rick Jones <[email-masked]>
Date: Thu, 12 Oct 2006 15:54:49 -0700

> More to the point, on what basis would the application be rejecting a
> connection request based solely on the SYN?

True, it isn't like there would suddenly be any call user data as in XTI/TLI.

> There are only two pieces of information available: the remote IP
> address and port, and the total number of pending requests. The
> latter is already addressed through the backlog size, and netfilter
> rules can already be used to reject based on IP address.

It would though allow an application to have an even more restricted set of 
allowed IP's than was set in netfilter.  Rather like allowing the application to 
set socket buffer sizes rather than relying on the system's default.

rick jones